Адрес API:
https://api.tuptime.ru/v1/monitors
Пример запроса:
curl --location --request GET 'https://api.tuptime.ru/v1/monitors' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_byname — Название, url — URL. По умолчанию: name.status_page_idsort_byid — Дата создания, name — Название, url — URL. По умолчанию: id.sortdesc — По убыванию, asc — По возрастанию. По умолчанию: desc.per_page10, 25, 50, 100. По умолчанию: 10.Адрес API:
https://api.tuptime.ru/v1/monitors/{id}
Пример запроса:
curl --location --request GET 'https://api.tuptime.ru/v1/monitors/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Адрес API:
https://api.tuptime.ru/v1/monitors
Пример запроса:
curl --location --request POST 'https://api.tuptime.ru/v1/monitors' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'name={name}' \ --data-urlencode 'url={url}' \ --data-urlencode 'interval={interval}'
nameurlinterval60, 180, 300, 600, 900, 1800, 3600.alert_conditionurl_unavailable — Сайт становится недоступен, url_text — Ответ содержит заданный текст, url_no_text — Ответ не содержит заданный текст. По умолчанию: url_unavailable.alert_text_lookupalert_condition указано url_text, url_no_text.request_methodGET, POST, HEAD, PUT, DELETE, PATCH, OPTIONS. По умолчанию: GET.request_headers[index][key]request_headers[index][value]request_auth_usernamerequest_auth_passwordcache_buster0 — Отключено, 1 — Включено. По умолчанию: 0.ssl_alert_days0, 1, 2, 3, 7, 14, 30, 60.domain_alert_days0, 1, 2, 3, 7, 14, 30, 60.maintenance_start_atY-m-dTH:i:s.maintenance_end_atY-m-dTH:i:s.alerts[index][key]email — Email, webhook — Webhook, slack — Slack, teams — Microsoft Teams, discord — Discord, flock — Flock, telegram — Telegram, sms — SMS.alerts[index][value]Адрес API:
https://api.tuptime.ru/v1/monitors/{id}
Пример запроса:
curl --location --request PUT 'https://api.tuptime.ru/v1/monitors/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
nameurlinterval60, 180, 300, 600, 900, 1800, 3600.alert_conditionurl_unavailable — Сайт становится недоступен, url_text — Ответ содержит заданный текст, url_no_text — Ответ не содержит заданный текст. По умолчанию: url_unavailable.alert_text_lookupalert_condition указано url_text, url_no_text.request_methodGET, POST, HEAD, PUT, DELETE, PATCH, OPTIONS. По умолчанию: GET.request_headers[index][key]request_headers[index][value]request_auth_usernamerequest_auth_passwordcache_buster0 — Отключено, 1 — Включено.ssl_alert_days0, 1, 2, 3, 7, 14, 30, 60.domain_alert_days0, 1, 2, 3, 7, 14, 30, 60.maintenance_start_atY-m-dTH:i:s.maintenance_end_atY-m-dTH:i:s.alerts[index][key]email — Email, webhook — Webhook, slack — Slack, teams — Microsoft Teams, discord — Discord, flock — Flock, telegram — Telegram, sms — SMS.alerts[index][value]pauseАдрес API:
https://api.tuptime.ru/v1/monitors/{id}
Пример запроса:
curl --location --request DELETE 'https://api.tuptime.ru/v1/monitors/{id}' \ --header 'Authorization: Bearer {api_key}'